package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.MusicCollect;
import com.ruoyi.common.core.domain.entity.UserCollect;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-18
 */
public interface MusicCollectMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public MusicCollect selectMusicCollectById(String id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param musicCollect 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<MusicCollect> selectMusicCollectList(MusicCollect musicCollect);

    /**
     * 新增【请填写功能名称】
     * 
     * @param musicCollect 【请填写功能名称】
     * @return 结果
     */
    public int insertMusicCollect(MusicCollect musicCollect);

    /**
     * 修改【请填写功能名称】
     * 
     * @param musicCollect 【请填写功能名称】
     * @return 结果
     */
    public int updateMusicCollect(MusicCollect musicCollect);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteMusicCollectById(String id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMusicCollectByIds(String[] ids);

    int delBindMusic(MusicCollect musicCollect);

    MusicCollect selectCollectIdAndMusicId(MusicCollect musicCollect);
}
